# H501_ServiceConfirmation Class Reference

`#include <h501.h>`

Inheritance diagram for H501_ServiceConfirmation:

List of all members.

## Public Types

enum | OptionalFields { e_alternates, e_securityMode, e_timeToLive, e_usageSpec }

## Public Member Functions

| H501_ServiceConfirmation (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H501_ElementIdentifier | m_elementIdentifier
H225_AliasAddress | m_domainIdentifier
H501_AlternatePEInfo | m_alternates
H501_SecurityMode | m_securityMode
PASN_Integer | m_timeToLive
H501_UsageSpecification | m_usageSpec

## Member Enumeration Documentation

enum H501_ServiceConfirmation::OptionalFields

Enumerator:

  e_alternates |
  e_securityMode |
  e_timeToLive |
  e_usageSpec |

## Constructor & Destructor Documentation

H501_ServiceConfirmation::H501_ServiceConfirmation | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_ServiceConfirmation::GetDataLength | ( |  | ) | const

PBoolean H501_ServiceConfirmation::Decode | ( | PASN_Stream & | strm | ) |

void H501_ServiceConfirmation::Encode | ( | PASN_Stream & | strm | ) | const

void H501_ServiceConfirmation::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_ServiceConfirmation::Compare | ( | const PObject & | obj | ) | const

PObject* H501_ServiceConfirmation::Clone | ( |  | ) | const

## Member Data Documentation

H501_ElementIdentifier H501_ServiceConfirmation::m_elementIdentifier

H225_AliasAddress H501_ServiceConfirmation::m_domainIdentifier

H501_AlternatePEInfo H501_ServiceConfirmation::m_alternates

H501_SecurityMode H501_ServiceConfirmation::m_securityMode

PASN_Integer H501_ServiceConfirmation::m_timeToLive

H501_UsageSpecification H501_ServiceConfirmation::m_usageSpec

The documentation for this class was generated from the following file:

- h501.h